package com.yidian.common.http

import io.reactivex.rxjava3.core.Observable
import retrofit2.Call
import retrofit2.http.*

/**
 * author: yinjiacheng
 * date: 7/8/21 4:53 PM
 * description: Common网络请求定义
 */
interface CommonService {

  @Headers("Content-Type: application/json")
  @POST(URLs.getKSYunToken)
  fun getKSYunToken(@QueryMap commonParams: Map<String, String>, @Body requestParams: Map<String, String?>): Call<HttpResult<Any?>>

  @GET(URLs.getKSYunObjectId)
  fun getKSYunObjectId(
    @QueryMap commonParams: Map<String, String>,
    @QueryMap requestParams: Map<String, String?>
  ): Observable<HttpResult<Any?>>
}
