package com.yidian.common.bean

import com.google.gson.annotations.SerializedName
import java.io.Serializable


/**
 * author: yinjiacheng
 * date: 7/8/21 8:55 AM
 * description: 图片服务-选择图片业务参数数据结构
 */
data class SelectImageParamsBean(
  @SerializedName("maxCount")
  val maxCount: Int,
  @SerializedName("selectedImages")
  val selectedImages: List<SelectedImage>
) : Serializable

data class SelectedImage(
  @SerializedName("id")
  val id: String
) : Serializable
